Query Manufacturers
curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/manufacturers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/manufacturers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/manufacturers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"Name": "<string>",
"Description": "<string>",
"Homepage": "<string>",
"SortNumber": 123,
"MetaTitle": "<string>",
"MetaKeywords": "<string>",
"MetaDescription": "<string>"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Item
Query Manufacturers
deprecated
Query all manufacturers
GET
/
v1
/
manufacturers
Query Manufacturers
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Response
Returns all manufacturers.
Unique ID to identify a manufacturer.
Name of the manufacturer.
Manufacturer description.
Homepage of the manufacturer.
Sorting number of the manufacturer.
Meta title of the manufacturer.
Meta keywords of the manufacturer.
Meta description of the manufacturer.
Was this page helpful?